# freecad-python generated by Parametrix
# run the script with:
# freecad.cmd myScript.py

import FreeCAD as App
import Part

#print(sys.argv)
outFileName = "doorstop"
if (len(sys.argv) == 3):
    outFileName = sys.argv[2]
print(f"outFileName: {outFileName}")

def ctr_face_doorstop_faceProfile_Fa0_Ctr0():
	P000 = App.Vector(9.0000, 0.0000, 0)
	P001 = App.Vector(97.3296, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(106.1523, 7.2224, 0)
	P003 = App.Vector(100.8147, 17.2978, 0)
	S001 = Part.Arc(P001, P002, P003)
	P004 = App.Vector(43.6718, 41.2978, 0)
	S002 = Part.LineSegment(P003, P004)
	P005 = App.Vector(41.9643, 41.8227, 0)
	P006 = App.Vector(40.1867, 42.0000, 0)
	S003 = Part.Arc(P004, P005, P006)
	P007 = App.Vector(9.0000, 42.0000, 0)
	S004 = Part.LineSegment(P006, P007)
	P008 = App.Vector(2.6360, 39.3640, 0)
	P009 = App.Vector(0.0000, 33.0000, 0)
	S005 = Part.Arc(P007, P008, P009)
	P010 = App.Vector(0.0000, 9.0000, 0)
	S006 = Part.LineSegment(P009, P010)
	P011 = App.Vector(2.6360, 2.6360, 0)
	P012 = App.Vector(9.0000, 0.0000, 0)
	S007 = Part.Arc(P010, P011, P000)
	aShape = Part.Shape([S000, S001, S002, S003, S004, S005, S006, S007])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr1():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(12.0000, App.Vector(21.0000, 21.0000, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr2():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(8.9016, App.Vector(53.1476, 17.9016, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def ctr_face_doorstop_faceProfile_Fa0_Ctr3():
	# Radius, XYZ-position, orientation
	aCircle = Part.makeCircle(4.2281, App.Vector(76.3440, 13.2281, 0), App.Vector(0, 0, 1))
	aWire = Part.Wire(aCircle)
	rFace = Part.Face(aWire)
	return rFace

def face_doorstop_faceProfile_Fa0():
	FC000 = ctr_face_doorstop_faceProfile_Fa0_Ctr0()
	FC001 = ctr_face_doorstop_faceProfile_Fa0_Ctr1()
	FC002 = ctr_face_doorstop_faceProfile_Fa0_Ctr2()
	FC003 = ctr_face_doorstop_faceProfile_Fa0_Ctr3()
	rOneFace = FC000.cut([FC001, FC002, FC003])
	rOneFace.check()
	return rOneFace

def doorstop_faceProfile():
	FA000 = face_doorstop_faceProfile_Fa0()
	rOneFig = FA000
	rOneFig.check()
	return rOneFig

def ctr_face_doorstop_faceTop_Fa0_Ctr0():
	P000 = App.Vector(0.0000, 0.0000, 0)
	P001 = App.Vector(42.0000, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(42.0000, 30.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(0.0000, 30.0000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(0.0000, 0.0000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_doorstop_faceTop_Fa0():
	FC000 = ctr_face_doorstop_faceTop_Fa0_Ctr0()
	rOneFace = FC000
	rOneFace.check()
	return rOneFace

def ctr_face_doorstop_faceTop_Fa1_Ctr0():
	P000 = App.Vector(42.0000, 0.0000, 0)
	P001 = App.Vector(142.0000, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(142.0000, 30.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(42.0000, 30.0000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(42.0000, 0.0000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_doorstop_faceTop_Fa1():
	FC000 = ctr_face_doorstop_faceTop_Fa1_Ctr0()
	rOneFace = FC000
	rOneFace.check()
	return rOneFace

def doorstop_faceTop():
	FA000 = face_doorstop_faceTop_Fa0()
	FA001 = face_doorstop_faceTop_Fa1()
	rOneFig = FA000.fuse([FA001])
	rOneFig.check()
	return rOneFig

def ctr_face_doorstop_faceSide_Fa0_Ctr0():
	P000 = App.Vector(0.0000, 0.0000, 0)
	P001 = App.Vector(30.0000, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(30.0000, 42.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(0.0000, 42.0000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(0.0000, 0.0000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_doorstop_faceSide_Fa0():
	FC000 = ctr_face_doorstop_faceSide_Fa0_Ctr0()
	rOneFace = FC000
	rOneFace.check()
	return rOneFace

def doorstop_faceSide():
	FA000 = face_doorstop_faceSide_Fa0()
	rOneFig = FA000
	rOneFig.check()
	return rOneFig

def fex_subpax_doorstop():
	FIG = doorstop_faceProfile()
	VEX = FIG.extrude(App.Vector(0, 0, 30))
	VR1 = VEX.rotate(App.Vector(0, 0, 0), App.Vector(1, 0, 0), 0.0000)
	VR2 = VR1.rotate(App.Vector(0, 0, 0), App.Vector(0, 1, 0), 0.0000)
	VR3 = VR2.rotate(App.Vector(0, 0, 0), App.Vector(0, 0, 1), 0.0000)
	VFP = VR3.translate(App.Vector(0.0000, 0.0000, 0.0000))
	return VFP
subpax_doorstop = fex_subpax_doorstop()

pax_doorstop = subpax_doorstop

pax_doorstop.check()
#pax_doorstop.exportBrep(f"{outFileName}.brep")
#pax_doorstop.exportIges(f"{outFileName}.igs")
#pax_doorstop.exportStep(f"{outFileName}.stp")
pax_doorstop.exportStl(f"{outFileName}.stl")

